> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete registration

> Deletes a registration by UUID.



## OpenAPI

````yaml /open-api/en/geo-alarm_version-1.json delete /v1/alarms/geometries/unregister/{registrationId}
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Geo Alarm Registrations
    description: CRUD & lookup endpoints for geo-based alarm registrations
paths:
  /v1/alarms/geometries/unregister/{registrationId}:
    delete:
      tags:
        - Geo Alarm Registrations
      summary: Delete registration
      description: Deletes a registration by UUID.
      operationId: unRegister
      parameters:
        - name: registrationId
          in: path
          description: Registration UUID.
          required: true
          schema:
            type: string
          example: f7587d9e-2481-4b4c-818d-c8d1946851b7
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
components:
  schemas:
    StandardErrorResponse:
      type: object
      description: Standard API error response structure
      properties:
        timestamp:
          type: string
          format: date-time
          description: Timestamp when the error occurred
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP status code
          example: XXX
        error:
          type: string
          description: Error name or type
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Main error message
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Additional detailed error messages
          items:
            type: string
        path:
          type: string
          description: Request path that caused the error
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp

````